r8542 - trunk/udev-config

bryan at linuxfromscratch.org bryan at linuxfromscratch.org
Mon May 19 16:50:01 PDT 2008


Author: bryan
Date: 2008-05-19 17:50:01 -0600 (Mon, 19 May 2008)
New Revision: 8542

Modified:
   trunk/udev-config/ChangeLog
   trunk/udev-config/Makefile
Log:
Old change that never got committed: Make the package work in a DESTDIR setup, where udevd can't be executed.  (Do this by not using a version for the package subdirectory.)


Modified: trunk/udev-config/ChangeLog
===================================================================
--- trunk/udev-config/ChangeLog	2008-04-23 18:33:53 UTC (rev 8541)
+++ trunk/udev-config/ChangeLog	2008-05-19 23:50:01 UTC (rev 8542)
@@ -1,3 +1,8 @@
+2008-04-02	Bryan Kadzban	<bryan at linuxfromscratch.org>
+	* Makefile: Make the package DESTDIR-friendly by installing the docs
+	  into a fixed $(PREFIX)/share/doc/udev-config directory, instead of
+	  trying to figure out what version of udev was just installed.
+
 2007-10-30	Bryan Kadzban	<bryan at linuxfromscratch.org>
 	* 55-lfs.rules: Since the dialout group was renamed to uucp, delete
 	  the rules that override upstream's assignment of the dialout group.

Modified: trunk/udev-config/Makefile
===================================================================
--- trunk/udev-config/Makefile	2008-04-23 18:33:53 UTC (rev 8541)
+++ trunk/udev-config/Makefile	2008-05-19 23:50:01 UTC (rev 8542)
@@ -17,9 +17,8 @@
 	80-drivers.txt \
 	95-udev-late.txt
 
-# Figure out where to install the docs
-UDEV_VERSION = $(shell udevd --version)
-DOC_DIR = $(PREFIX)/share/doc/udev-$(UDEV_VERSION)
+# Location to install the docs
+DOC_DIR = $(PREFIX)/share/doc/udev-config
 
 all:
 
@@ -32,20 +31,12 @@
 	done;
 
 install-doc:
-	@if [ -z "$(UDEV_VERSION)" ]; then \
-		echo "Error: Can't get udev version from udevinfo" >&2; \
-		exit 1; \
-	fi
 	$(INSTALL) -d $(DESTDIR)$(DOC_DIR)
 	for doc in $(DOC_FILES); do \
 		$(INSTALL_DATA) doc/$$doc $(DESTDIR)$(DOC_DIR) || exit 1; \
 	done
 
 install-extra-doc:
-	@if [ -z "$(UDEV_VERSION)" ]; then \
-		echo "Error: Can't get udev version from udevinfo" >&2; \
-		exit 1; \
-	fi
 	$(INSTALL) -d $(DESTDIR)$(DOC_DIR)
 	for doc in $(EXTRA_DOC_FILES); do \
 		$(INSTALL_DATA) doc/$$doc $(DESTDIR)$(DOC_DIR) || exit 1; \




More information about the lfs-book mailing list